
//  This file forms part of the GOBLIN C++ Class Library.
//
//  Initially written by Christian Fremuth-Paeger, July 2001
//
//  Copying, compiling, distribution and modification
//  of this source code is permitted only in accordance
//  with the GOBLIN general licence information.

/// \file   goblin.h
/// \brief  Include of all GOBLIN library headers

#ifndef _GOBLIN_H_
#define _GOBLIN_H_


#include <configuration.h>
#include <globals.h>
#include <timers.h>
#include <goblinController.h>
#include <managedObject.h>

#include <abstractMixedGraph.h>
#include <abstractGraph.h>
#include <abstractBigraph.h>
#include <abstractDigraph.h>
#include <abstractBalanced.h>
#include <investigator.h>

#include <fileImport.h>
#include <fileExport.h>

#include <graphRepresentation.h>
#include <sparseRepresentation.h>
#include <denseRepresentation.h>

#include <mixedGraph.h>
#include <sparseGraph.h>
#include <sparseBigraph.h>
#include <sparseDigraph.h>
#include <balancedDigraph.h>
#include <denseGraph.h>
#include <denseBigraph.h>
#include <denseDigraph.h>

#include <graphToBalanced.h>
#include <balancedToBalanced.h>
#include <digraphToDigraph.h>
#include <bigraphToDigraph.h>
#include <surfaceGraph.h>
#include <auxiliaryNetwork.h>
#include <shrinkingNetwork.h>

#include <goblinQueue.h>
#include <staticQueue.h>
#include <dynamicQueue.h>
#include <staticStack.h>
#include <dynamicStack.h>
#include <disjointFamily.h>
#include <nestedFamily.h>
#include <basicHeap.h>
#include <binaryHeap.h>
#include <fibonacciHeap.h>

#include <matrix.h>
#include <hashTable.h>
#include <dictionary.h>

#include <ilpWrapper.h>
#include <lpSolver.h>

#include <branchScheme.h>
#include <branchStable.h>
#include <branchAsyTSP.h>
#include <branchSymmTSP.h>
#include <branchColour.h>

#include <canvasBuilder.h>
#include <exportToTk.h>
#include <exportToXFig.h>

#include <treeView.h>

#include <abstractSubgraph.h>
#include <subgraph.h>
#include <complement.h>
#include <segment.h>


#endif
